Method: detections.list

Full name: projects.locations.instances.cases.detections.list

Lists detections for a case.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/detections

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The case to list detections for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of detections to return. The service may return fewer than this value. If unspecified, at most 50 detections will be returned. The maximum value is 500; values above 500 will be coerced to 500.

pageToken

string

Optional. A page token, received from a previous detections.list call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to detections.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for detections.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "caseDetections": [
    {
      object (CaseDetection)
    }
  ],
  "nextPageToken": string
}
Fields
caseDetections[]

object (CaseDetection)

The list of detections.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseDetections.get

For more information, see the IAM documentation.